%define rel 11
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: file archiving utility with compression
Name: zoo
Version: 2.10
Release: %{rel}%{rhtag}
License: Copyrighted, freely distributable if unmodified
Group: Applications/Archiving
Source: ftp://sunsite.unc.edu:/pub/Linux/utils/compress/%{name}-%{version}.tar.gz
Patch0: zoo-2.10.linux.diff.gz
Patch1: zoo-2.10.mkstemp.diff
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: /usr

%description
zoo is a file archiving utility for maintaining collections of files. It uses Lempel-Ziv compression to provide space savings in the range of 20 to 80 percent depending on the type of data. Written by Rahul Dhesi, and posted to the USENET newsgroup comp.sources.misc.

%prep
%setup 
%patch0 -p1 -b .linux
%patch1 -p1 -b .mkstemp

%build
make "OPTIM=${RPM_OPT_FLAGS}" linux

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -s fiz %{buildroot}%{_bindir}
install -s zoo %{buildroot}%{_bindir}
install fiz.1 %{buildroot}%{_mandir}/man1
install zoo.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc Copyright
%attr(0755, root, root) %{_bindir}/fiz
%attr(0755, root, root) %{_bindir}/zoo
%{_mandir}/man1/fiz.1*
%{_mandir}/man1/zoo.1*

%changelog
* Wed Sep 24 2003 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 9
- Added mkstemp patch

* Mon Apr 28 2003 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 8

* Fri Aug 23 2002 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.3

* Fri Oct 05 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta

* Fri May 04 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1

* Wed Apr 25 2001 Peter Soos <sp@osb.hu>
- Rebuilt for RedHat Linux 7.0

* Sun May 16 1999 Peter Soos <sp@osb.hu>
- using %attr macros to build the package as ordinary user

* Wed Nov 5 1997 Michael Vergallen <mvergall@double-barrel.be>
- changed all calls from ulong --> my_ulong, uint --> my_uint 
  and ushort --> my_ushort. to avoid conflict with the typedefs
  in glibc.
- modified all calls to basename to my_basename so it doesn't 
  interfere with the GNU basename util.
